## org.apache.poi.hslf.record
Class TextBytesAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.TextBytesAtom

    public final class TextBytesAtom

extends RecordAtom

A TextBytesAtom (type 4008). Holds text in ascii form (unknown code page, for now assumed to be the default of org.apache.poi.util.StringUtil, which is the Excel default). The trailing return character is always stripped from this

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `TextBytesAtom()` Create an empty TextBytes Atom
`protected` `TextBytesAtom(byte[] source, int start, int len)` For the TextBytes Atom

Method Summary
`long` `getRecordType()` We are of type 4008
`java.lang.String` `getText()` Grabs the text.
`void` `setText(byte[] b)` Updates the text in the Atom.
`java.lang.String` `toString()` dump debug info; use getText() to return a string representation of the atom
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextBytesAtom

    protected TextBytesAtom(byte[] source,
                            int start,
                            int len)

  For the TextBytes Atom

### TextBytesAtom

    public TextBytesAtom()

  Create an empty TextBytes Atom

Method Detail

### getText

    public java.lang.String getText()

  Grabs the text. Uses the default codepage

### setText

    public void setText(byte[] b)

  Updates the text in the Atom. Must be 8 bit ascii

### getRecordType

    public long getRecordType()

  We are of type 4008

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  dump debug info; use getText() to return a string representation of the atom

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.